//
//  twoViewController.swift
//  RxSwiftTest
//
//  Created by Hanwen on 2018/1/12.
//  Copyright © 2018年 SK丿希望. All rights reserved.
//

import UIKit

class twoViewController: HWBaseTableViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        weak var weakSelf = self // 弱引用
        weakSelf!.register(type: .Class, name: "UITableViewCell") // 注册cell ID默认是传出的name+ID
        weakSelf!.setTableView(isAllRefresh: true, type: .Default, cellForRowBlock: { (index) -> UITableViewCell in // 设置cell
            let cell = weakSelf!.tableVIew.dequeueReusableCell(withIdentifier: "UITableViewCellID", for: index)
            cell.textLabel?.text = (weakSelf!.itemArray?[index.row] as! String)
            cell.backgroundColor = UIColor.white
            return cell
        }, heightForRowBlock: { (index) -> CGFloat in // 设置高度
            return 100
        }) { (index) in // 点击事件
            print("点击了\(weakSelf!.itemArray![index.row])")
            let vc = testViewController()
            weakSelf!.navigationController?.pushViewController(vc, animated: true)
        }
    }
    // 重写父类方法 只要刷新就会来这个方法
    override func loadData(page: NSInteger) {
        weak var weakSelf = self // 弱引用
        self.itemArray = ["测试数据1", "测试数据2", "测试数据3", "测试数据4", "测试数据5", "测试数据6", "测试数据7", "测试数据8"] // 模拟数据
        print("子类刷新数据")
        DispatchQueue.main.asyncAfter(deadline: DispatchTime.now() + 1) {
            print("page==\(page)")
            weakSelf!.endRefreshing() // 调用父类方法结束刷新
        }
    }

    deinit {
        print("释放")
    }
}
